import config from '@/config'
// import urlMap from '@/config/urlMap'

export default function getUrl(url, domainType = 'admin') {
  let domain = process.env.VUE_APP_ADMIN || ''
  return domain + url
}

export function getParamsFromUrl(url) {
  let search = new URL(url).search
  let params = new URLSearchParams(search)
  const length = Object.keys(params).length
  if (!length) {
    // 如果获取不到参数，尝试手动解析 url 地址
    // 解析从 ? 到 #/|/ 中间的字符串，如果没有 #/|/ ，返回后面所有的字符串
    const arr = url.split('?')
    search = arr[1]
    // 如果存在后面哈希路由参数内容，就开始舍弃
    if (/\#\/?/.test(search)) {
      search = search.split('#')[0]
    }
    params = new URLSearchParams(search)
  }

  return params
}
